GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Variables
reporting.h File Reference
`#include <map>`
`#include <string>`
`#include <ranges>`
`#include <vector>`
`#include <utility>`
`#include <ostream>`
`#include <sstream>`
`#include "fourdst/composition/composition.h"`
`#include "fourdst/composition/atomicSpecies.h"`

Go to the source code of this file.

## Classes
struct | gridfire::PrimingReport
| Captures the result of a network priming operation. More...

## Namespaces
namespace | gridfire

## Enumerations
enum class | gridfire::PrimingReportStatus { gridfire::FULL_SUCCESS = 0 , gridfire::NO_SPECIES_TO_PRIME = 1 , gridfire::MAX_ITERATIONS_REACHED = 2 , gridfire::FAILED_TO_FINALIZE_COMPOSITION = 3 , gridfire::FAILED_TO_FIND_CREATION_CHANNEL = 4 , gridfire::FAILED_TO_FIND_PRIMING_REACTIONS = 5 , gridfire::BASE_NETWORK_TOO_SHALLOW = 6 }
| Enumerates outcome codes for a network priming operation. More...

## Variables
std::map< PrimingReportStatus, std::string > | gridfire::PrimingReportStatusStrings
| Mapping from PrimingReportStatus codes to human-readable strings.